aboutsummaryrefslogtreecommitdiff
path: root/tools/test/stress2/misc/tmpfs5.sh
diff options
context:
space:
mode:
authorPeter Holm <pho@FreeBSD.org>2021-03-03 12:56:56 +0000
committerPeter Holm <pho@FreeBSD.org>2021-03-03 14:11:40 +0000
commit8a272653d9fbd9fc37691c9aad6a05089b4ecb4d (patch)
tree2463ed22a342700cb7ba2b05c3d5370f75090899 /tools/test/stress2/misc/tmpfs5.sh
parent3adf72a36b9b151eef57e3d83f71a3a9fbacb78d (diff)
downloadsrc-8a272653d9fbd9fc37691c9aad6a05089b4ecb4d.tar.gz
src-8a272653d9fbd9fc37691c9aad6a05089b4ecb4d.zip
Diffstat (limited to 'tools/test/stress2/misc/tmpfs5.sh')
-rwxr-xr-xtools/test/stress2/misc/tmpfs5.sh53
1 files changed, 53 insertions, 0 deletions
diff --git a/tools/test/stress2/misc/tmpfs5.sh b/tools/test/stress2/misc/tmpfs5.sh
new file mode 100755
index 000000000000..1dd8bbe9a6eb
--- /dev/null
+++ b/tools/test/stress2/misc/tmpfs5.sh
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2010 Peter Holm <pho@FreeBSD.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+
+# tmpfs + fsx test scenario.
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+. ../default.cfg
+
+here=`pwd`
+cd /tmp
+sed '1,/^EOF/d' < $here/umountf2.sh > /tmp/fsx.c
+mycc -o /tmp/fsx -O2 /tmp/fsx.c || exit 1
+rm -f fsx.c
+
+mount | grep "$mntpoint" | grep -q tmpfs && umount $mntpoint
+mount -t tmpfs tmpfs $mntpoint
+
+(
+ /tmp/fsx -q -N 100000 $mntpoint/file.1 &
+ /tmp/fsx -q -N 100000 $mntpoint/file.2 &
+) | grep -v A-OK
+wait;wait
+
+while mount | grep "$mntpoint" | grep -q tmpfs; do
+ umount $mntpoint || sleep 1
+done
+rm -f /tmp/fsx